Bug 1524375 - bashism in /etc/profile.d/flatpak.sh
Summary: bashism in /etc/profile.d/flatpak.sh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: flatpak
Version: 7.4
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: David King
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1570030
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-11 11:27 UTC by Stephan Wiesand
Modified: 2018-10-30 10:21 UTC (History)
3 users (show)

Fixed In Version: flatpak-0.10.4-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:20:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:21:35 UTC

Description Stephan Wiesand 2017-12-11 11:27:17 UTC
Description of problem:

The equality test operator in

  [ "${XDG_DATA_DIRS#*flatpak}" == ${XDG_DATA_DIRS} ]

is not accepted at least by zsh.

Version-Release number of selected component (if applicable):

0.8.7-3.el7_4

How reproducible:

100%

Steps to Reproduce:
1. yum -y install zsh flatpak
2. export XDG_DATA_DIRS=/tmp
3. zsh /etc/profile.d/flatpak.sh

Actual results:

/etc/profile.d/flatpak.sh:7: = not found

Expected results:

No error

Comment 2 David King 2017-12-15 11:48:05 UTC
This was fixed upstream on master in commit e572311a26911b74e96c593987e250fb4bbc532b, which is an easy backport.

Comment 6 errata-xmlrpc 2018-10-30 10:20:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.